set terminal postscript enhanced 
set output "inv.ps"
set logscale y
# set logscale z
set yrange [1e-5:10]
set zrange [:5000]	
set data style linespoints
set ticslevel 0
set view 45,50
set zlabel "absolute error / Pixel"
set xlabel "{/Symbol s} of spatial noise / Pixel"
set ylabel "rotation error / DEG"

splot "errcp.txt" using 1:2:4 title "E Estimation" w linespoints lt 1 lw 3 pt 5 ps 1.5 , "errls.txt" using 1:2:4 title "Least Squares" lt 1 lw 3 pt 7 ps 1.5 