#include <Gui/ImageCanvasGLBase.hh>
#include <wx/wx.h>


using namespace BIAS;
using namespace std;


// --------------------------------------------------------
class ExampleImageCanvasGLBaseApp : public wxApp {
  virtual bool OnInit(); 
}; // end of ExampleImageCanvasGLBaseApp -----------------------


enum _ExampleImageCanvasGLBaseMyFrameIDs_ {
	ID_ABOUT=wxID_ABOUT,
	ID_QUIT,
	ID_LOADIMAGE,
  ID_MODECHANGE
};


// --------------------------------------------------------

class MyFrame: public wxFrame {
public:
  MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
  void OnQuit(wxCommandEvent& event);
  void OnAbout(wxCommandEvent& event);
  void OnModeChange(wxCommandEvent& event);
  void OnLoadImage(wxCommandEvent& );

  /** laod images and update content
      on Linux this has to be called after initialzation. JW */
  void LoadImages();
  

  // data member ---
  BIAS::ImageCanvasGLBase * p_canvas1;
  BIAS::ImageCanvasGLBase * p_canvas2;


  DECLARE_EVENT_TABLE()
}; // end of MyFrame --------------------------------------

