#ifndef _SImpleGLCanvas_hh_628163_
#define _SImpleGLCanvas_hh_628163_

#include <Gui/OpenGLCanvas.hh>
#include <Gui/DrawTextGL.hh>
#include "SceneGL.hh"

//#include <Gui/SimpleGLFrame.hh>
// forwrad decl:
class SimpleGLFrame;

namespace BIAS {

  /** @bref Helper canvas for SimpleGLApp
  @author Jan Woetzel */
  class BIASSimpleGLApp_EXPORT SimpleGLCanvas : public BIAS::OpenGLCanvas {
  public:
    SimpleGLCanvas(wxFrame * parent);

    /// constructor using a shared context 
    SimpleGLCanvas(wxFrame * parent, wxGLContext * sharedContext,
      wxWindowID id = -1, const wxPoint & pos =
      wxDefaultPosition, const wxSize & size =
      wxDefaultSize, long style = 0, const wxString & name =
      _T("SimpleGLCanvas"), int *attribList =
      0, const wxPalette & palette = wxNullPalette);

    // override to fire our own Display calls: 
    virtual void DisplayCalls();


    /// data members
    BIAS::SceneGL * pScene;
    //BIAS::DrawTextGL font;

    //BIAS::SimpleGLFrame * pFrame; //< pointer to parent frame

  };
} // namespace
#endif
