#include "Image/CameraParam.hh"
#include <iostream>
using namespace BIAS;
using namespace std;

int main (int argc, char* argv[])
{
  CameraParam cp;
 
#ifdef BIAS_HAVE_XML2
  if (argc<2) {
    cout <<"no file given, using some build-in data"<<endl;
    cp.SetData_OMNITECH_ORIFL_190_3();
  }
  else cp.ReadCameraData(argv[1]);
  
  cp.DebugOut();
  cp.WriteCameraData("CamDataTest.xml");
  cout <<"CamDataTest.xml created" << endl;
  //cp.DebugOut();

  CameraParam cp2;
  cp2.ReadCameraData("CamDataTest.xml");
  cp2.DebugOut();
  cp2.WriteCameraData("CamDataTestRewrite.xml");
  cout <<"CamDataTestRewrite.xml created" << endl;

#endif
  return 0;  
}
