#include <Base/Common/W32Compat.hh> // sprintf wrn
#include <VideoSource/VideoSource_Base.hh>
#include <VideoSource/VideoSource_Net.hh>
//#include <Gui/GuiGTK.hh>
//#include <Gui/GuiEnhanced.hh>
#include <Base/Image/ImageIO.hh>
#include <Image/Camera.hh>

//BIAS::GuiEnhanced guie;

using namespace BIAS;
using namespace std;

bool done = false;
bool save = false;
int imgNo = 0;


int main( int argc, char *argv[])
{
  VideoSource *cam;
  Camera<unsigned char> pic;
  cam = new VideoSource_Net;
  //  cam->SetDebugLevel(D_NET);
  // char c;
  int res;
  if (argc>1) {
	  cout <<"Connecting server "<<argv[1]<<endl;
	  res = cam->OpenDevice(argv[1]);
    if (res!=0)
      exit(-1);
  } else {
    cout<<"usage: "<<argv[0]<<" serverName"<<endl;
    exit(0);
  }

  cam->InitImage(pic);

  while(!done){
    cam->GrabSingle(pic);
    if (imgNo==0)
      cout <<"Got Image: "<<pic.GetWidth()<<"x"<<pic.GetHeight()<<"x"<<
        pic.GetChannelCount()<<endl;
    
    if (imgNo%10==0) {
      char name[255];
      sprintf(name,"image_%04i.mip",imgNo);
      BIAS::ImageIO::Write(name,pic);
      cout<<"Written image:"<<name<<" to disk"<<endl;
    }
    imgNo++;
    if (imgNo==200) done=true;
  }
  
  cam->CloseDevice();

  delete cam;
  return 0;
}

 
