#include <Base/Math/Polynom.hh>

using namespace BIAS;
using namespace std;

void printPolynom(Polynom p){
  for (unsigned int i=0; i<p.GetOrder(); i++){
    cout << p[p.GetOrder()-i-1] << "x^" << p.GetOrder()-i-1 << " ";
  }
  cout<< endl;
}

//int main()
//int main(int argc, char * argv[])
int main()
{

  //Polynom of order 3 but coefficient of x^2 is 0
  // x + 2
  Polynom a(3);
  a[0]=2;
  a[1]=1;
 
  //Polynom of order 4
  // 3x^3 + 2x^2 + 2x + 1
  Polynom b(4);
  b[0]=1;
  b[1]=2;
  b[2]=2;
  b[3]=3;

  //empty polynoms
  Polynom c, d, e, f, g, h, i, j, k;
  double z = 2.;
  c= a+b;
  d= b-a;
  e= a-b;
  f= a*b;
  g= z*b;
  h= b*z;
  i+=h;
  j-=h;
  k=a;
  k*=b;
  
  cout << "polynom a: ";printPolynom(a);
  cout << "polynom b: ";printPolynom(b);
  cout << "double z: " << z << endl;
  cout << endl;
  cout << "polynom a+b: ";printPolynom(c);
  cout << "polynom b-a: ";printPolynom(d);
  cout << "polynom a-b: ";printPolynom(e);
  cout << "polynom a*b: ";printPolynom(f);
  cout << "polynom z*b: ";printPolynom(g);
  cout << "polynom b*z: ";printPolynom(h);
  cout << "polynom i+=h: (should be b*z)";printPolynom(i);
  cout << "polynom j-=h: (should be -(b*z))";printPolynom(j);
  cout << "polynom k=a k*=b (should be a*b)";printPolynom(k);
}
