#ifndef __ConsoleRedirectIO_HH__
#define __ConsoleRedirectIO_HH__

#include <bias_config.h>

namespace BIAS {

  /**  @ingroup g_gui
  @brief Extra Console for WIN32 WinMain gui applications. 

  Redirects STDIN, STDERR, cout, cerrm wcout, cin, wcin, wcerr, cerr, wclog, clog.

  Displays output to cout, cerrm printf etc.
  based on "Covington, Michael. "Adding Graphics to Console Applications," Visual Developer, June/July 1997.
  Jan Woetzel 2005 
  */
  void BIASGui_EXPORT ConsoleRedirectIO();
}

#endif // __ConsoleRedirectIO_HH__

