#ifndef _SceneGL_hh_
#define _SceneGL_hh_

#include <Gui/OpenGLCanvas.hh>

namespace BIAS {

  /** @brief Simple interface for GL calls

  Common object oriented interface for a simple Display function firing GL calls.
  @author Jan Woetzel */
  class BIASSimpleGLApp_EXPORT SceneGL {
  public:

    virtual ~SceneGL(){};

    SceneGL() : pc(NULL) 
    {};

    SceneGL(BIAS::OpenGLCanvas * pParenCanvasGL) : pc(pParenCanvasGL) 
    {};

    /// main interface
    virtual void Display() = 0;

    BIAS::OpenGLCanvas  * pc;	//< pointer to parent canvas
  };

}

#endif
