# simple gnu makefile
# using bias-config instead of cmake
# Please note that you better use cmake instead of make
# see http://www.cmake.org
# Jan Woetzel

# compiler flags
CPPFLAGS = `/data1/esquivel/src/BIAS2.6/BIAS-2.6.1/bias-config --cflags`

# linker flags including third  party libs, libdirs and flags including rpath
LDFLAGS  = `/data1/esquivel/src/BIAS2.6/BIAS-2.6.1/bias-config --libs --ldflags`

# BIAS libs we depend on
LDFLAGS += -lBIASDebug -lBIASCommon -lBIASMathBase -lBIASImageBase

# executable 
PROGRAM  = helloconfig
OBJECTS  = $(PROGRAM).o 

all: $(PROGRAM)

$(PROGRAM) : $(OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS)

clean:
	rm -f $(PROGRAM) $(PROGRAM).o $(PROGRAM).so *~ core
