##
## specific settings for BIAS ctest build
## Jan Woetzel
##
## all USE_ flags off, do not use third party libraries 


#### specific: 
## identify this configuration type
##

SET (IDENTIFIER       "DLLshared")

##
## BIAS build specific options
## Be careful to escape any quotes inside of this string
##
SET ( BIAS_CTEST_COMMON_OPTIONSCACHE
"BUILD_EXAMPLES:BOOL=OFF 
// defaults: 
BUILD_SHARED_LIBS:BOOL=ON
BUILD_IMAGE_CHAR:BOOL=ON 
BUILD_IMAGE_INT:BOOL=ON 
BUILD_IMAGE_SHORT:BOOL=ON 
BUILD_IMAGE_UINT:BOOL=ON 
BUILD_IMAGE_USHORT:BOOL=ON 
BUILD_IMAGE_DOUBLE:BOOL=ON 
// third party libs  
USE_DAIMLERCHRYSLER:BOOL=OFF 
USE_DCAM:BOOL=OFF
USE_DEVIL:BOOL=OFF
USE_DSHOW:BOOL=OFF
USE_DV:BOOL=OFF
USE_FFTW3:BOOL=OFF
USE_GLEW:BOOL=ON
USE_GLUT:BOOL=ON
USE_GSL:BOOL=OFF
USE_GTK:BOOL=OFF
USE_GTK2:BOOL=OFF
USE_IMAGEMAGICKLIB:BOOL=OFF
USE_IMLIB:BOOL=OFF
USE_OPENCV:BOOL=OFF
USE_OPENEXR:BOOL=OFF
USE_OPENGL:BOOL=ON
USE_PTHREADS:BOOL=ON
USE_STEREOI:BOOL=OFF
USE_TIFF:BOOL=OFF
USE_UEYE:BOOL=OFF
USE_VLD:BOOL=OFF
USE_WXWIDGETS:BOOL=OFF
USE_XML2:BOOL=ON
"
)



## memory leak checking,
## e.g. with valgrind on Linux or purify on Linux and Windows.
#IF (UNIX)
# MEMORYCHECK_COMMAND:FILEPATH=/usr/bin/valgrind
#ENDIF (UNIX)

